flywheel.api.containers_api
ContainersApi
Bases: object
add_container_analysis(cid, body, **kwargs)
Create an analysis and upload files.
When query param "job" is "true", send JSON to create an analysis and job. Otherwise, multipart/form-data to upload files and create an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | union[AdhocAnalysisInput, JobAnalysisInput] | | required |
job | (bool, optional) | returns job_id instead of analysis.id, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_analysis_note(container_id, analysis_id, body, **kwargs)
Add a note to a(n) container analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_analysis_note_with_http_info(container_id, analysis_id, body, **kwargs)
Add a note to a(n) container analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_analysis_with_http_info(cid, body, **kwargs)
Create an analysis and upload files.
When query param "job" is "true", send JSON to create an analysis and job. Otherwise, multipart/form-data to upload files and create an analysis. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | union[AdhocAnalysisInput, JobAnalysisInput] | | required |
job | (bool, optional) | returns job_id instead of analysis.id, defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_note(container_id, body, **kwargs)
Add a note to a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_note_with_http_info(container_id, body, **kwargs)
Add a note to a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_tag(cid, body, **kwargs)
Add a tag to a(n) container.
Propagates changes to projects, sessions and acquisitions This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_tag_with_http_info(cid, body, **kwargs)
Add a tag to a(n) container.
Propagates changes to projects, sessions and acquisitions This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_tags(cid, body, **kwargs)
Add multiple tags to a(n) container
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_container_tags_with_http_info(cid, body, **kwargs)
Add multiple tags to a(n) container
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_view(container_id, body, **kwargs)
Add a new data view
Create container view This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | ContainerIdViewInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
add_view_with_http_info(container_id, body, **kwargs)
Add a new data view
Create container view This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | ContainerIdViewInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisitions_by_ids(body, **kwargs)
Delete multiple acquisitions by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_acquisitions_by_ids_with_http_info(body, **kwargs)
Delete multiple acquisitions by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_analyses_by_ids(body, **kwargs)
Delete multiple analyses by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_analyses_by_ids_with_http_info(body, **kwargs)
Delete multiple analyses by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_collections_by_ids(body, **kwargs)
Delete multiple collections by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_collections_by_ids_with_http_info(body, **kwargs)
Delete multiple collections by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container(container_id, **kwargs)
Delete a container
Delete Container This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_analysis(cid, analysis_id, **kwargs)
Delete an analysis
Delete an analysis for a container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_analysis_note(cid, analysis_id, note_id, **kwargs)
Remove a note from a(n) container analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
note_id | str | 24-char hex note id | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_analysis_note_with_http_info(cid, analysis_id, note_id, **kwargs)
Remove a note from a(n) container analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | 24-char hex id | required |
analysis_id | str | 24-char hex analysis id | required |
note_id | str | 24-char hex note id | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_analysis_with_http_info(cid, analysis_id, **kwargs)
Delete an analysis
Delete an analysis for a container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | Provide a reason for the deletion | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_file(cid, filename, **kwargs)
Delete a file
A user with read-write or higher permissions on the container may delete files that were uploaded by users or were the output of jobs. (Specifically, files whose origin.type is either job or user.)
A user with admin permissions on the container may delete any file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
force | (bool, optional) | Force deletion of the file even if some checks fail. Deprecated, will be removed in a future release., defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_file_with_http_info(cid, filename, **kwargs)
Delete a file
A user with read-write or higher permissions on the container may delete files that were uploaded by users or were the output of jobs. (Specifically, files whose origin.type is either job or user.)
A user with admin permissions on the container may delete any file. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
delete_reason | (ContainerDeleteReason, optional) | A reason for deletion when audit-trail is enabled | required |
force | (bool, optional) | Force deletion of the file even if some checks fail. Deprecated, will be removed in a future release., defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_note(cid, note_id, **kwargs)
Remove a note from a(n) container
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_note_with_http_info(cid, note_id, **kwargs)
Remove a note from a(n) container
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_tag(cid, value, **kwargs)
Delete a tag
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_tag_with_http_info(cid, value, **kwargs)
Delete a tag
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_tags(cid, body, **kwargs)
Delete multiple tags from a(n) container
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_tags_with_http_info(cid, body, **kwargs)
Delete multiple tags from a(n) container
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | list[str] | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_container_with_http_info(container_id, **kwargs)
Delete a container
Delete Container This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_files_by_ids(body, **kwargs)
Delete multiple files by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_files_by_ids_with_http_info(body, **kwargs)
Delete multiple files by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_groups_by_ids(body, **kwargs)
Delete multiple groups by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_groups_by_ids_with_http_info(body, **kwargs)
Delete multiple groups by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_projects_by_ids(body, **kwargs)
Delete multiple projects by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_projects_by_ids_with_http_info(body, **kwargs)
Delete multiple projects by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_sessions_by_ids(body, **kwargs)
Delete multiple sessions by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_sessions_by_ids_with_http_info(body, **kwargs)
Delete multiple sessions by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_subjects_by_ids(body, **kwargs)
Delete multiple subjects by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
delete_subjects_by_ids_with_http_info(body, **kwargs)
Delete multiple subjects by ID list
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
body | list[str] | List of IDs to delete | required |
delete_reason | (ContainerDeleteReason, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_file_from_container(container_id, file_name, dest_file, **kwargs)
Download a file.
Files can be downloaded directly from this endpoint with a valid "Authorization" header or via a ticket id. To generate a ticket: - Make a request with an empty "ticket" parameter and a valid "Authorization" header. The server will respond with a generated ticket id. - Make another request with the received ticket id in the "ticket" parameter. A valid "Authorization" header is no longer required. When "view" is true, RFC7233 range request headers are supported. When virus_scan feature is enabled the quarantined files only can be downloaded using signed urls otherwise it will return with a HTTP 400 response. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_file_from_container_with_http_info(container_id, file_name, **kwargs)
Download a file.
Files can be downloaded directly from this endpoint with a valid "Authorization" header or via a ticket id. To generate a ticket: - Make a request with an empty "ticket" parameter and a valid "Authorization" header. The server will respond with a generated ticket id. - Make another request with the received ticket id in the "ticket" parameter. A valid "Authorization" header is no longer required. When "view" is true, RFC7233 range request headers are supported. When virus_scan feature is enabled the quarantined files only can be downloaded using signed urls otherwise it will return with a HTTP 400 response. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_output_from_container_analysis(container_id, analysis_id, filename, dest_file, **kwargs)
Download analysis outputs with filter.
If "ticket" query param is included and not empty, download outputs. If "ticket" query param is included and empty, create a ticket for matching outputs in the analysis. If no "ticket" query param is included, outputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
dest_file | str | Destination file path | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
download_output_from_container_analysis_with_http_info(container_id, analysis_id, filename, **kwargs)
Download analysis outputs with filter.
If "ticket" query param is included and not empty, download outputs. If "ticket" query param is included and empty, create a ticket for matching outputs in the analysis. If no "ticket" query param is included, outputs will be downloaded directly. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container(container_id, **kwargs)
Retrieve a single container
Find Container by ID This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | , defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analyses(cid, **kwargs)
Get analyses for a(n) container.
Returns analyses that directly belong to this resource. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
inflate_job | (bool, optional) | , defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analyses_with_http_info(cid, **kwargs)
Get analyses for a(n) container.
Returns analyses that directly belong to this resource. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
inflate_job | (bool, optional) | , defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
include_all_info | (bool, optional) | Include all info in returned objects, defaults to false | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[str], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analysis(cid, analysis_id, **kwargs)
Get an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
inflate_job | (bool, optional) | Return job as an object instead of an id, defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analysis_output_download_ticket(container_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analysis_output_download_ticket_with_http_info(container_id, analysis_id, filename, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analysis_output_zip_info(container_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analysis_output_zip_info_with_http_info(container_id, analysis_id, filename, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
analysis_id | str | 24-char hex analysis id | required |
filename | str | filename to download (get tar of all if empty) | required |
ticket | (str, optional) | ticket id of the outputs to download | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | feature flag for view/download, defaults to false | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_analysis_with_http_info(cid, analysis_id, **kwargs)
Get an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
inflate_job | (bool, optional) | Return job as an object instead of an id, defaults to false | required |
join_avatars | (bool, optional) | , defaults to false | required |
join | (JoinType, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_download_ticket(container_id, file_name, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_download_ticket_with_http_info(container_id, file_name, **kwargs)
Get a signed URL to download a named child file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_file_info(cid, filename, **kwargs)
Get info for a particular file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | Container Id | required |
filename | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_file_info_with_http_info(cid, filename, **kwargs)
Get info for a particular file.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | Container Id | required |
filename | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_file_zip_info(container_id, file_name, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_file_zip_info_with_http_info(container_id, file_name, **kwargs)
Retrieve the zip info of a child file by name.
Does not work on files whose names contain a forward slash. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | 24-character hex ID | required |
file_name | str | output file name | required |
ticket | (str, optional) | The generated ticket id for the download, or present but empty to generate a ticket id | required |
info | (bool, optional) | If the file is a zipfile, return a json response of zipfile member information, defaults to false | required |
member | (str, optional) | The filename of a zipfile member to download rather than the entire file | required |
view | (bool, optional) | If true, the proper "Content-Type" header based on the file's mimetype is set on response If false, the "Content-Type" header is set to "application/octet-stream" , defaults to false | required |
version | (int, optional) | version of the file to download | required |
hash | (str, optional) | file hash for comparison | required |
range | (str, optional) | byte ranges to return | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_note(cid, note_id, **kwargs)
Get a note of a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_note_with_http_info(cid, note_id, **kwargs)
Get a note of a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_tag(cid, value, **kwargs)
Get the value of a tag, by name.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_tag_with_http_info(cid, value, **kwargs)
Get the value of a tag, by name.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_container_with_http_info(container_id, **kwargs)
Retrieve a single container
Find Container by ID This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
join | (JoinType, optional) | | required |
join_avatars | (bool, optional) | , defaults to false | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_views(container_id, **kwargs)
Return a list of all views belonging to container
View all containers This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | The ID of the container, one of user, group or project. Use "site" as containerId to save or get a site data view. | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
get_views_with_http_info(container_id, **kwargs)
Return a list of all views belonging to container
View all containers This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | The ID of the container, one of user, group or project. Use "site" as containerId to save or get a site data view. | required |
filter | (str, optional) | Comma separated filters to apply. Commas not used as separators must be escaped with backslash '\'. (e.g. label=my-label,created>2018-09-22) | required |
sort | (str, optional) | The sort fields and order. (e.g. label:asc,created:desc) | required |
limit | (int, optional) | The maximum number of entries to return. | required |
skip | (int, optional) | The number of entries to skip., defaults to 0 | required |
page | (int, optional) | The page number (i.e. skip limit*page entries) | required |
after_id | (str, optional) | Paginate after the given id. (Cannot be used with sort, page or skip) | required |
x_accept_feature | (list[union[HeaderFeature, str]], optional) | , defaults to [] | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container(container_id, body, **kwargs)
Update a container and its contents
Modify Container This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | ContainerUpdate | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_analysis(cid, analysis_id, body, **kwargs)
Modify an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
body | AnalysisModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_analysis_with_http_info(cid, analysis_id, body, **kwargs)
Modify an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
body | AnalysisModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_file(cid, filename, body, **kwargs)
Modify a file's attributes
Note: If modifying a file's modality, the current classification will be cleared (except for items in the "Custom" list) This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_file_classification(cid, filename, body, **kwargs)
Update classification for a particular file.
If replacing a file's classification, the modality can optionally be modified as well. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileClassificationDelta | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_file_classification_with_http_info(cid, filename, body, **kwargs)
Update classification for a particular file.
If replacing a file's classification, the modality can optionally be modified as well. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileClassificationDelta | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_file_info(cid, filename, body, **kwargs)
Update info for a particular file.
Modify and return the file 'info' field This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_file_info_with_http_info(cid, filename, body, **kwargs)
Update info for a particular file.
Modify and return the file 'info' field This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_file_with_http_info(cid, filename, body, **kwargs)
Modify a file's attributes
Note: If modifying a file's modality, the current classification will be cleared (except for items in the "Custom" list) This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
filename | str | | required |
body | FileModifyInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_info(cid, body, **kwargs)
Update or replace info for a(n) container.
Update or replace info for a(n) container. Keys that contain '$' or '.' will be sanitized in the process of being updated on the container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_info_with_http_info(cid, body, **kwargs)
Update or replace info for a(n) container.
Update or replace info for a(n) container. Keys that contain '$' or '.' will be sanitized in the process of being updated on the container. This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
body | Info | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_note(cid, note_id, body, **kwargs)
Update a note of a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_note_with_http_info(cid, note_id, body, **kwargs)
Update a note of a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
note_id | str | | required |
body | NoteInput | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
modify_container_with_http_info(container_id, body, **kwargs)
Update a container and its contents
Modify Container This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
body | ContainerUpdate | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
rename_container_tag(cid, value, body, **kwargs)
Rename a tag.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
rename_container_tag_with_http_info(cid, value, body, **kwargs)
Rename a tag.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
value | str | The tag to interact with | required |
body | Tag | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_file_to_container(container_id, file, **kwargs)
Upload a file to a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
file | str | The file to upload | required |
preserve_metadata | (bool, optional) | , defaults to false | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_file_to_container_with_http_info(container_id, file, **kwargs)
Upload a file to a(n) container.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
container_id | str | | required |
file | str | The file to upload | required |
preserve_metadata | (bool, optional) | , defaults to false | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
x_accept_feature | (list[str], optional) | redirect header, defaults to [] | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_output_to_container_analysis(cid, analysis_id, file, **kwargs)
Upload an output file to an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
file | str | The file to upload | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |
upload_output_to_container_analysis_with_http_info(cid, analysis_id, file, **kwargs)
Upload an output file to an analysis.
This method makes a synchronous HTTP request by default.
Parameters:
| Name | Type | Description | Default |
|---|---|---|---|
cid | str | | required |
analysis_id | str | | required |
file | str | The file to upload | required |
ticket | (str, optional) | | required |
id | (str, optional) | | required |
level | (ContainerType, optional) | | required |
job | (str, optional) | | required |
metadata | (union[FileCreateInput, list[FileCreateInput]], optional) | Dictionary of file metadata (type, modality, info, etc.) | required |
content_type | (str, optional) | | required |
async_ | (bool, optional) | Perform the request asynchronously | required |